%define module_name Date-Holidays-BY
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Exporter.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Version.pm) perl(Time/Piece.pm) perl(base.pm) perl(strict.pm) perl(utf8.pm) perl(vars.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2019.5
Release: alt1
Summary: Determine Belorussian official holidays and business days.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BE/BESINT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Date::Holidays::BY qw( is_holiday holidays is_business_day );

    binmode STDOUT, ':encoding(UTF-8)';
   
    my ( $year, $month, $day ) = ( localtime )[ 5, 4, 3 ];
    $year  += 1900;
    $month += 1;

    if ( my $holidayname = is_holiday( $year, $month, $day ) ) {
        print "Today is a holiday: $holidayname\n";
    }
    
    my $ref = holidays( $year );
    while ( my ( $md, $name ) = each %%$ref ) {
        print "On $md there is a holiday named $name\n";
    }
    
    if ( is_business_day( 2012, 03, 11 ) ) {
        print "2012-03-11 is business day on weekend\n";
    }

    if ( is_short_business_day( 2015, 04, 30 ) ) {
        print "2015-04-30 is short business day\n";
    }
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/D*

%changelog
* Thu Dec 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.2019.5-alt1
- regenerated from template by package builder

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.2019.4-alt1
- regenerated from template by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.2019.3-alt1
- regenerated from template by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.2018.0-alt1
- regenerated from template by package builder

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.2017.2-alt1
- initial import by package builder

